MWAWParagraph Class Reference documentation

MWAWParagraph Class Reference

class to store the paragraph properties More...

`#include <MWAWParagraph.hxx>`

Inheritance diagram for MWAWParagraph:

## Public Types
enum | { NoBreakBit = 0x1 , NoBreakWithNextBit =0x2 }
| some bit use to defined the break status More...
enum | Justification { JustificationLeft , JustificationFull , JustificationCenter , JustificationRight , JustificationFullAllLines }
| an enum used to defined the paragraph justification: left, center, right, full ... More...
enum | LineSpacingType { Fixed , AtLeast }
| the line spacing type: fixed or at least More...

## Public Member Functions
| MWAWParagraph ()
| constructor
| MWAWParagraph (MWAWParagraph const &)=default
MWAWParagraph & | operator= (MWAWParagraph const &)=default
MWAWParagraph & | operator= (MWAWParagraph &&)=default
virtual | ~MWAWParagraph ()
| destructor
bool | operator== (MWAWParagraph const &p) const
| operator==
bool | operator!= (MWAWParagraph const &p) const
| operator!=
int | cmp (MWAWParagraph const &p) const
| a comparison function
double | getMarginsWidth () const
| return the paragraph margin width (in inches)
bool | hasBorders () const
| check if the paragraph has some borders
bool | hasDifferentBorders () const
| check if the paragraph has different borders
void | resizeBorders (size_t newSize)
| a function used to resize the borders list ( adding empty borders if needed )
void | setInterline (double value, librevenge::RVNGUnit unit, LineSpacingType type=Fixed)
| set the interline
void | addTo (librevenge::RVNGPropertyList &propList, bool inTable) const
| add to the propList
void | insert (MWAWParagraph const &para)
| insert the set values of para in the actual paragraph

## Public Attributes
MWAWVariable< double > | m_margins [3]
| the margins
MWAWVariable< librevenge::RVNGUnit > | m_marginsUnit
| the margins INCH, ...
MWAWVariable< double > | m_spacings [3]
| the line spacing
MWAWVariable< librevenge::RVNGUnit > | m_spacingsInterlineUnit
| the interline unit PERCENT or INCH, ...
MWAWVariable< LineSpacingType > | m_spacingsInterlineType
| the interline type: fixed, atLeast, ...
MWAWVariable< std::vector< MWAWTabStop > > | m_tabs
| the tabulations
MWAWVariable< bool > | m_tabsRelativeToLeftMargin
| true if the tabs are relative to left margin, false if there are relative to the page margin (default)
MWAWVariable< Justification > | m_justify
| the justification
MWAWVariable< int > | m_breakStatus
| a list of bits: 0x1 (unbreakable), 0x2 (do not break after)
MWAWVariable< libmwaw::WritingMode > | m_writingMode
| the writing mode
MWAWVariable< int > | m_listLevelIndex
| the actual level index
MWAWVariable< int > | m_listId
| the list id (if know )
MWAWVariable< int > | m_listStartValue
| the list start value (if set )
MWAWVariable< MWAWListLevel > | m_listLevel
| the actual level
MWAWVariable< MWAWColor > | m_backgroundColor
| the background color
std::vector< MWAWVariable< MWAWBorder > > | m_borders
| list of border ( order MWAWBorder::Pos)
MWAWVariable< int > | m_dropNumCharacters
| the drop number character
MWAWVariable< int > | m_dropNumLines
| the drop number of lines
std::string | m_styleName
| the style name
std::string | m_extra
| a string to store some errors

## Friends
std::ostream & | operator<< (std::ostream &o, MWAWParagraph const &ft)
| operator <<

## Detailed Description

class to store the paragraph properties

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

some bit use to defined the break status

Enumerator
NoBreakBit |
NoBreakWithNextBit |

## ◆ Justification

enum MWAWParagraph::Justification

an enum used to defined the paragraph justification: left, center, right, full ...

Enumerator
JustificationLeft |
JustificationFull |
JustificationCenter |
JustificationRight |
JustificationFullAllLines |

## ◆ LineSpacingType

enum MWAWParagraph::LineSpacingType

the line spacing type: fixed or at least

Enumerator
Fixed |
AtLeast |

## Constructor & Destructor Documentation

## ◆ MWAWParagraph() [1/2]

MWAWParagraph::MWAWParagraph | ( |  | ) |

constructor

Referenced by cmp(), insert(), MWAWParagraph(), operator!=(), FullWrtTextInternal::Paragraph::operator<<, HanMacWrdJTextInternal::Paragraph::operator<<, HanMacWrdKTextInternal::Paragraph::operator<<, operator<<, operator=(), operator=(), operator==(), ClarisDrawTextInternal::Paragraph::Paragraph(), ClarisWksTextInternal::Paragraph::Paragraph(), FullWrtTextInternal::Paragraph::Paragraph(), HanMacWrdJTextInternal::Paragraph::Paragraph(), HanMacWrdKTextInternal::Paragraph::Paragraph(), LightWayTxtTextInternal::Paragraph::Paragraph(), MarinerWrtTextInternal::Paragraph::Paragraph(), MoreTextInternal::Paragraph::Paragraph(), MsWks4TextInternal::Paragraph::Paragraph(), MsWrd1ParserInternal::Paragraph::Paragraph(), MsWrdStruct::Paragraph::Paragraph(), NisusWrtTextInternal::Paragraph::Paragraph(), WriteNowTextInternal::Paragraph::Paragraph(), MsWrdStruct::Paragraph::read(), MoreTextInternal::Paragraph::updateToFinalState(), and FullWrtTextInternal::Paragraph::updateToSent().

## ◆ MWAWParagraph() [2/2]

MWAWParagraph::MWAWParagraph | ( | MWAWParagraph const & |  | ) |
| default

## ◆ ~MWAWParagraph()

MWAWParagraph::~MWAWParagraph | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ addTo()

void MWAWParagraph::addTo | ( | librevenge::RVNGPropertyList & | propList,
|  | bool | inTable ) const

add to the propList

## ◆ cmp()

int MWAWParagraph::cmp | ( | MWAWParagraph const & | p | ) | const

a comparison function

Referenced by operator!=(), and operator==().

## ◆ getMarginsWidth()

double MWAWParagraph::getMarginsWidth | ( |  | ) | const

return the paragraph margin width (in inches)

## ◆ hasBorders()

bool MWAWParagraph::hasBorders | ( |  | ) | const

check if the paragraph has some borders

Referenced by addTo(), and hasDifferentBorders().

## ◆ hasDifferentBorders()

bool MWAWParagraph::hasDifferentBorders | ( |  | ) | const

check if the paragraph has different borders

Referenced by addTo().

## ◆ insert()

void MWAWParagraph::insert | ( | MWAWParagraph const & | para | ) |

insert the set values of para in the actual paragraph

Referenced by MsWrdStruct::Paragraph::insert(), and insert().

## ◆ operator!=()

bool MWAWParagraph::operator!= | ( | MWAWParagraph const & | p | ) | const
| inline

operator!=

## ◆ operator=() [1/2]

MWAWParagraph & MWAWParagraph::operator= | ( | MWAWParagraph && |  | ) |
| default

## ◆ operator=() [2/2]

MWAWParagraph & MWAWParagraph::operator= | ( | MWAWParagraph const & |  | ) |
| default

Referenced by FullWrtTextInternal::Paragraph::updateFromRuler().

## ◆ operator==()

bool MWAWParagraph::operator== | ( | MWAWParagraph const & | p | ) | const
| inline

operator==

## ◆ resizeBorders()

void MWAWParagraph::resizeBorders | ( | size_t | newSize | ) |
| inline

a function used to resize the borders list ( adding empty borders if needed )

Referenced by MsWrdStruct::Paragraph::read(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), and MarinerWrtTextInternal::Paragraph::update().

## ◆ setInterline()

void MWAWParagraph::setInterline | ( | double | value,
|  | librevenge::RVNGUnit | unit,
|  | LineSpacingType | type = Fixed )
| inline

set the interline

Referenced by SpringBoardParser::parseParagraphStyle(), MacWrtParser::readGraphic(), MacDraftParser::readLabel(), MacDraftParser::readObject(), BeagleWksText::readParagraph(), ClarisDrawText::readParagraph(), ClarisWksText::readParagraph(), JazzWriterParser::readParagraph(), MacWrtParser::readParagraph(), MacWrtProStructures::readParagraph(), MsWks4Text::readParagraph(), MsWrd1Parser::readParagraph(), PowerPoint3Parser::readParagraph(), ScoopParser::readParagraph(), StudentWritingCParser::readParagraph(), WordMakerParser::readParagraph(), WriteNowText::readParagraph(), MouseWrtParser::readParagraphPLCs(), NisusWrtText::readParagraphs(), RagTimeText::readParagraphs(), MacDrawProStyleManager::readParagraphStyles(), Canvas5StyleManager::readParaStyle(), GreatWksText::readRuler(), MindWrtParser::readRuler(), MarinerWrtText::readRulers(), StyleParser::readRules(), CricketDrawParser::readShape(), ReadySetGoStyleManager::readStyle(), MacWrtParser::readText(), WriterPlsParser::readText(), MacDrawProParser::readTextII(), PowerPoint7Text::readTextZone(), ScriptWriterParser::send(), MindWrtParser::sendHeaderFooterFields(), DrawTableParser::sendShape(), BeagleWksDRParser::sendText(), CanvasGraph::sendText(), MsWks3Text::sendText(), PowerPoint1Parser::sendText(), ReadySetGoGraph::sendText(), ScriptWriterParser::sendText(), SuperPaintParser::sendText(), MindWrtParser::sendZone(), MsWrdStruct::Paragraph::updateParagraphToFinalState(), RagTime5StyleManager::updateTextStyles(), and FullWrtTextInternal::Paragraph::updateToSent().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWParagraph const & | ft )
| friend

operator <<

## Member Data Documentation

## ◆ m_backgroundColor

MWAWVariable<MWAWColor> MWAWParagraph::m_backgroundColor

the background color

Referenced by addTo(), cmp(), insert(), MWAWParagraph(), operator<<, MarinerWrtTextInternal::Paragraph::update(), and FullWrtTextInternal::Paragraph::updateToSent().

## ◆ m_borders

std::vector<MWAWVariable<MWAWBorder> > MWAWParagraph::m_borders

list of border ( order MWAWBorder::Pos)

Referenced by addTo(), cmp(), hasBorders(), hasDifferentBorders(), insert(), MWAWParagraph(), operator<<, MsWrdStruct::Paragraph::read(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), StyleParser::readRules(), resizeBorders(), MarinerWrtTextInternal::Paragraph::update(), and FullWrtTextInternal::Paragraph::updateToSent().

## ◆ m_breakStatus

MWAWVariable<int> MWAWParagraph::m_breakStatus

a list of bits: 0x1 (unbreakable), 0x2 (do not break after)

Referenced by addTo(), cmp(), insert(), MWAWParagraph(), operator<<, MsWrdStruct::Paragraph::read(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), MacWrtProStructures::readParagraph(), Canvas5StyleManager::readStyleEnd(), and RagTime5StyleManager::updateTextStyles().

## ◆ m_dropNumCharacters

MWAWVariable<int> MWAWParagraph::m_dropNumCharacters

the drop number character

Referenced by addTo(), cmp(), insert(), MWAWParagraph(), operator<<, and Canvas5StyleManager::readParaStyle().

## ◆ m_dropNumLines

MWAWVariable<int> MWAWParagraph::m_dropNumLines

the drop number of lines

Referenced by addTo(), cmp(), insert(), MWAWParagraph(), operator<<, and Canvas5StyleManager::readParaStyle().

## ◆ m_extra

std::string MWAWParagraph::m_extra

a string to store some errors

Referenced by insert(), MWAWParagraph(), operator<<, MsWrdStruct::Paragraph::read(), BeagleWksText::readParagraph(), ClarisDrawText::readParagraph(), ClarisWksText::readParagraph(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), MacWrtProStructures::readParagraph(), MsWks3Text::readParagraph(), MsWks4Text::readParagraph(), MsWrd1Parser::readParagraph(), MsWrdTextStyles::readParagraph(), PowerPoint3Parser::readParagraph(), WriteNowText::readParagraph(), NisusWrtText::readParagraphs(), GreatWksText::readRuler(), MindWrtParser::readRuler(), LightWayTxtText::readRulers(), and MarinerWrtText::readRulers().

## ◆ m_justify

MWAWVariable<Justification> MWAWParagraph::m_justify

the justification

Referenced by addTo(), cmp(), WriteNowTextInternal::State::getDefaultParagraph(), insert(), MWAWHeaderFooter::insertPageNumberParagraph(), MWAWParagraph(), operator<<, Canvas5GraphInternal::SubDocument::parse(), CanvasGraphInternal::SubDocument::parse(), ClarisDrawGraphInternal::SubDocument::parse(), SpringBoardParser::parseParagraphStyle(), MsWrdStruct::Paragraph::read(), MacDraftParser::readLabel(), MacDraftParser::readObject(), BeagleWksText::readParagraph(), ClarisDrawText::readParagraph(), ClarisWksText::readParagraph(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), JazzWriterParser::readParagraph(), MacWrtParser::readParagraph(), MacWrtProStructures::readParagraph(), MsWks3Text::readParagraph(), MsWks4Text::readParagraph(), MsWrd1Parser::readParagraph(), PowerPoint3Parser::readParagraph(), ScoopParser::readParagraph(), StudentWritingCParser::readParagraph(), WordMakerParser::readParagraph(), WriteNowText::readParagraph(), MouseWrtParser::readParagraphPLCs(), NisusWrtText::readParagraphs(), RagTimeText::readParagraphs(), MacDrawProStyleManager::readParagraphStyles(), Canvas5StyleManager::readParaStyle(), GreatWksText::readRuler(), MindWrtParser::readRuler(), LightWayTxtText::readRulers(), MarinerWrtText::readRulers(), StyleParser::readRules(), CricketDrawParser::readShape(), ReadySetGoStyleManager::readStyle(), MacWrtParser::readText(), MacDrawProParser::readTextII(), PowerPoint7Text::readTextZone(), ClarisWksDbaseContent::send(), ScriptWriterParser::send(), ActaParser::sendHeaderFooter(), LightWayTxtText::sendHeaderFooter(), SpringBoardParser::sendHeaderFooter(), MacDocParser::sendIndex(), MouseWrtParser::sendMainZone(), DrawTableParser::sendShape(), GreatWksText::sendSimpleTextbox(), MsWksTable::sendTable(), BeagleWksDRParser::sendText(), Canvas5Graph::sendText(), CanvasGraph::sendText(), CorelPainterParser::sendText(), DocMkrText::sendText(), FreeHandParser::sendText(), PowerPoint1Parser::sendText(), ReadySetGoGraph::sendText(), ScriptWriterParser::sendText(), SuperPaintParser::sendText(), ZWrtText::sendText(), MsWksGraph::sendTextBox(), StudentWritingCParser::sendZone(), MindWrtParserInternal::ZoneInfo::updateListId(), RagTime5StyleManager::updateTextStyles(), and FullWrtTextInternal::Paragraph::updateToSent().

## ◆ m_listId

MWAWVariable<int> MWAWParagraph::m_listId

the list id (if know )

Referenced by cmp(), insert(), MWAWParagraph(), operator<<, MsWks4Text::readParagraph(), MarinerWrtText::readRulers(), ActaText::sendTopic(), ClarisWksText::setProperty(), and MoreTextInternal::Paragraph::updateToFinalState().

## ◆ m_listLevel

MWAWVariable<MWAWListLevel> MWAWParagraph::m_listLevel

the actual level

Referenced by cmp(), ClarisWksText::findListId(), insert(), MWAWParagraph(), operator<<, PowerPoint3Parser::readParagraph(), PowerPoint7Text::readTextZone(), MindWrtParserInternal::ZoneInfo::updateListId(), ClarisDrawTextInternal::Paragraph::updateListLevel(), ClarisWksTextInternal::Paragraph::updateListLevel(), and MoreTextInternal::Paragraph::updateToFinalState().

## ◆ m_listLevelIndex

MWAWVariable<int> MWAWParagraph::m_listLevelIndex

the actual level index

Referenced by cmp(), ClarisWksText::findListId(), insert(), MWAWParagraph(), operator<<, ClarisWksText::readParagraph(), MsWks4Text::readParagraph(), PowerPoint3Parser::readParagraph(), MarinerWrtText::readRulers(), PowerPoint7Text::readTextZone(), ActaText::sendTopic(), MindWrtParserInternal::ZoneInfo::updateListId(), ClarisDrawTextInternal::Paragraph::updateListLevel(), ClarisWksTextInternal::Paragraph::updateListLevel(), and MoreTextInternal::Paragraph::updateToFinalState().

## ◆ m_listStartValue

MWAWVariable<int> MWAWParagraph::m_listStartValue

the list start value (if set )

Referenced by cmp(), insert(), MWAWParagraph(), and MindWrtParserInternal::ZoneInfo::updateListId().

## ◆ m_margins

MWAWVariable<double> MWAWParagraph::m_margins[3]

the margins

- 0: first line left margin
- 1: left margin
- 2: right margin

Referenced by addTo(), cmp(), WriteNowTextInternal::State::getDefaultParagraph(), getMarginsWidth(), WriterPlsParser::getParagraph(), FullWrtTextInternal::Paragraph::getTableDimensions(), insert(), MWAWParagraph(), operator<<, SpringBoardParser::parseParagraphStyle(), MsWrdStruct::Paragraph::read(), BeagleWksText::readParagraph(), ClarisDrawText::readParagraph(), ClarisWksText::readParagraph(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), JazzWriterParser::readParagraph(), MacWrtParser::readParagraph(), MacWrtProStructures::readParagraph(), MsWks3Text::readParagraph(), MsWks4Text::readParagraph(), MsWrd1Parser::readParagraph(), ScoopParser::readParagraph(), StudentWritingCParser::readParagraph(), WordMakerParser::readParagraph(), WriteNowText::readParagraph(), MouseWrtParser::readParagraphPLCs(), NisusWrtText::readParagraphs(), RagTimeText::readParagraphs(), MacDrawProStyleManager::readParagraphStyles(), FullWrtText::readParagraphTabs(), Canvas5StyleManager::readParaStyle(), GreatWksText::readRuler(), MindWrtParser::readRuler(), LightWayTxtText::readRulers(), MarinerWrtText::readRulers(), StyleParser::readRules(), ReadySetGoGraph::readShapeV1(), ReadySetGoGraph::readShapeV2(), ReadySetGoStyleManager::readStyle(), EDocParser::sendIndex(), MacDocParser::sendIndex(), MouseWrtParser::sendMainZone(), PowerPoint1Parser::sendText(), ScriptWriterParser::sendText(), ActaText::sendTopic(), MoreTextInternal::Paragraph::setLeftMargin(), NisusWrtText::setProperty(), MoreTextInternal::Paragraph::setRightMargin(), MindWrtParserInternal::ZoneInfo::updateListId(), ClarisDrawTextInternal::Paragraph::updateListLevel(), ClarisWksTextInternal::Paragraph::updateListLevel(), PowerPoint3ParserInternal::Ruler::updateParagraph(), RagTime5StyleManager::updateTextStyles(), and MoreTextInternal::Paragraph::updateToFinalState().

## ◆ m_marginsUnit

MWAWVariable<librevenge::RVNGUnit> MWAWParagraph::m_marginsUnit

the margins INCH, ...

Referenced by addTo(), cmp(), getMarginsWidth(), WriterPlsParser::getParagraph(), insert(), MWAWParagraph(), WriteNowTextInternal::Paragraph::Paragraph(), SpringBoardParser::parseParagraphStyle(), BeagleWksText::readParagraph(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), JazzWriterParser::readParagraph(), ScoopParser::readParagraph(), StudentWritingCParser::readParagraph(), WordMakerParser::readParagraph(), MouseWrtParser::readParagraphPLCs(), NisusWrtText::readParagraphs(), RagTimeText::readParagraphs(), MacDrawProStyleManager::readParagraphStyles(), Canvas5StyleManager::readParaStyle(), GreatWksText::readRuler(), MindWrtParser::readRuler(), LightWayTxtText::readRulers(), ReadySetGoGraph::readShapeV1(), ReadySetGoGraph::readShapeV2(), ReadySetGoStyleManager::readStyle(), EDocParser::sendIndex(), PowerPoint1Parser::sendText(), ScriptWriterParser::sendText(), PowerPoint3ParserInternal::Ruler::updateParagraph(), and RagTime5StyleManager::updateTextStyles().

## ◆ m_spacings

MWAWVariable<double> MWAWParagraph::m_spacings[3]

the line spacing

- 0: interline
- 1: before
- 2: after

Referenced by addTo(), cmp(), insert(), MWAWParagraph(), operator<<, SpringBoardParser::parseParagraphStyle(), MsWrdStruct::Paragraph::read(), BeagleWksText::readParagraph(), ClarisDrawText::readParagraph(), ClarisWksText::readParagraph(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), MacWrtProStructures::readParagraph(), MsWrd1Parser::readParagraph(), PowerPoint3Parser::readParagraph(), ScoopParser::readParagraph(), WordMakerParser::readParagraph(), NisusWrtText::readParagraphs(), RagTimeText::readParagraphs(), MacDrawProStyleManager::readParagraphStyles(), Canvas5StyleManager::readParaStyle(), GreatWksText::readRuler(), MindWrtParser::readRuler(), LightWayTxtText::readRulers(), MarinerWrtText::readRulers(), StyleParser::readRules(), ReadySetGoStyleManager::readStyle(), PowerPoint7Text::readTextZone(), PowerPoint1Parser::sendText(), setInterline(), RagTime5StyleManager::updateTextStyles(), and FullWrtTextInternal::Paragraph::updateToSent().

## ◆ m_spacingsInterlineType

MWAWVariable<LineSpacingType> MWAWParagraph::m_spacingsInterlineType

the interline type: fixed, atLeast, ...

Referenced by addTo(), cmp(), insert(), MWAWParagraph(), operator<<, MsWks4Text::readParagraph(), NisusWrtText::readParagraphs(), and setInterline().

## ◆ m_spacingsInterlineUnit

MWAWVariable<librevenge::RVNGUnit> MWAWParagraph::m_spacingsInterlineUnit

the interline unit PERCENT or INCH, ...

Referenced by addTo(), cmp(), insert(), MWAWParagraph(), operator<<, HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), NisusWrtText::readParagraphs(), and setInterline().

## ◆ m_styleName

std::string MWAWParagraph::m_styleName

the style name

Referenced by addTo(), cmp(), insert(), MWAWParagraph(), and operator<<.

## ◆ m_tabs

MWAWVariable<std::vector<MWAWTabStop> > MWAWParagraph::m_tabs

the tabulations

Referenced by addTo(), cmp(), WriteNowTextInternal::State::getDefaultParagraph(), FullWrtTextInternal::Paragraph::getTableDimensions(), MsWrdStruct::Paragraph::insert(), insert(), MWAWParagraph(), operator<<, MsWrdStruct::Paragraph::read(), BeagleWksText::readParagraph(), ClarisDrawText::readParagraph(), ClarisWksText::readParagraph(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), JazzWriterParser::readParagraph(), MacWrtParser::readParagraph(), MacWrtProStructures::readParagraph(), MsWks3Text::readParagraph(), MsWks4Text::readParagraph(), MsWrd1Parser::readParagraph(), ScoopParser::readParagraph(), StudentWritingCParser::readParagraph(), WordMakerParser::readParagraph(), WriteNowText::readParagraph(), MouseWrtParser::readParagraphPLCs(), NisusWrtText::readParagraphs(), RagTimeText::readParagraphs(), MacDrawProStyleManager::readParagraphStyles(), FullWrtText::readParagraphTabs(), GreatWksText::readRuler(), MindWrtParser::readRuler(), PowerPoint3Parser::readRuler(), LightWayTxtText::readRulers(), MarinerWrtText::readRulers(), PowerPoint7Text::readRulerTabs(), ReadySetGoGraph::readShapeV1(), ReadySetGoGraph::readShapeV2(), MoreText::readTabs(), WordMakerParser::readTabulations(), WriteNowText::send(), DocMkrText::sendFooter(), MindWrtParser::sendHeaderFooterFields(), EDocParser::sendIndex(), MacDocParser::sendIndex(), PowerPoint1Parser::sendText(), ReadySetGoGraph::sendText(), ScriptWriterParser::sendText(), DocMkrText::sendTOC(), PowerPoint3ParserInternal::Ruler::updateParagraph(), RagTime5StyleManager::updateTextStyles(), and FullWrtTextInternal::Paragraph::updateToSent().

## ◆ m_tabsRelativeToLeftMargin

MWAWVariable<bool> MWAWParagraph::m_tabsRelativeToLeftMargin

true if the tabs are relative to left margin, false if there are relative to the page margin (default)

Referenced by addTo(), cmp(), insert(), MWAWParagraph(), and MsWrdStruct::Paragraph::Paragraph().

## ◆ m_writingMode

MWAWVariable<libmwaw::WritingMode> MWAWParagraph::m_writingMode

the writing mode

Referenced by addTo(), cmp(), insert(), MWAWParagraph(), operator<<, MouseWrtParser::readParagraphPLCs(), and MouseWrtParser::sendZone().

The documentation for this class was generated from the following files:

- MWAWParagraph.hxx
- MWAWParagraph.cxx